"use strict";
var _a;
Object.defineProperty(exports, "__esModule", { value: true });
exports.removeBreadcrumbs = exports.setBreadcrumbs = exports.breadCrumbsSlice = void 0;
var toolkit_1 = require("@reduxjs/toolkit");
// Initial state
var initialState = [];
// Actual Slice
exports.breadCrumbsSlice = (0, toolkit_1.createSlice)({
    name: "forumData",
    initialState: initialState,
    reducers: {
        setBreadcrumbs: function (state, action) {
            return (state = action.payload);
        },
        removeBreadcrumbs: function (state, action) {
            var rem = Math.abs(action.payload - (state.length - 1));
            state.splice((state === null || state === void 0 ? void 0 : state.length) - rem, rem);
        },
    },
});
//make the actions visible
exports.setBreadcrumbs = (_a = exports.breadCrumbsSlice.actions, _a.setBreadcrumbs), exports.removeBreadcrumbs = _a.removeBreadcrumbs;
//make the slice connectable to the store
var breadCrumbsReducer = exports.breadCrumbsSlice.reducer;
exports.default = breadCrumbsReducer;
