"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.store = void 0;
var authSlice_1 = __importDefault(require("./slices/authSlice"));
var toolkit_1 = require("@reduxjs/toolkit");
var userSlice_1 = __importDefault(require("./slices/userSlice"));
exports.store = (0, toolkit_1.configureStore)({
    reducer: {
        userData: userSlice_1.default,
        authData: authSlice_1.default,
    },
});
