import React from "react";
var InputField = function (props) {
    var fieldType = props.fieldType, inputValue = props.inputValue, onInputChange = props.onInputChange, placeholder = props.placeholder, autoComplete = props.autoComplete, error = props.error, appearence = props.appearence, errorCustomClassName = props.errorCustomClassName;
    return (React.createElement("div", { className: "w-full relative group" },
        React.createElement("input", { type: fieldType, required: true, value: inputValue, id: inputValue, autoComplete: autoComplete !== null && autoComplete !== void 0 ? autoComplete : "off", className: "w-full h-12 px-4 text-sm peer bg-dark-card outline-none", onChange: function (e) {
                var value = e.target.value;
                onInputChange(value);
            } }),
        React.createElement("label", { htmlFor: "eMail", className: "transform transition-all absolute top-0 left-0 h-full flex items-center pl-2 text-sm group-focus-within:text-xs peer-valid:text-xs group-focus-within:h-1/2 peer-valid:h-1/2 group-focus-within:-translate-y-full peer-valid:-translate-y-full group-focus-within:pl-0 peer-valid:pl-0" }, props.label)));
};
export default InputField;
