export var isRequired = function (fieldValue) {
    return fieldValue.length <= 0 ? "This field is required!" : undefined;
};
export var isTooLong = function (fieldValue, maxLen) {
    return fieldValue.length > maxLen ? "Input too long!" : undefined;
};
export var isTooShort = function (fieldValue, minLen) {
    return fieldValue.length < minLen ? "Input too short!" : undefined;
};
export var isValidEmail = function (email) {
    var re = /^(([^<>()[\]\\.,;:\s@"]+(\.[^<>()[\]\\.,;:\s@"]+)*)|(".+"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$/;
    if (!re.test(email)) {
        return "Invalid email address!";
    }
};
